unit ParamList;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFmParamList = class(TForm)
    lbParamList: TListBox;
    btnSelect: TButton;
    btnCancel: TButton;
    procedure btnSelectClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    whichparselection: integer;
    { Public declarations }
  end;

var
  FmParamList: TFmParamList;

implementation
uses frontend, display, calculate, stypes;
{$R *.DFM}

procedure TFmParamList.FormCreate(Sender: TObject);
var
 i : integer;
begin

 for i := 1 to modelDef.numparam do
  fmParamList.lbParamList.Items.Add(par[i].symbol);
 fmParamList.lbParamList.ItemIndex := 0;
end;

procedure TFmParamList.btnSelectClick(Sender: TObject);
var
 tempString : string;
 tempIndex : integer;
begin
// lbParamList.MultiSelect := False;
tempString := lbParamList.items[lbParamList.itemIndex];
tempIndex:=fmCalculate.getArrayIndex(vtParameter,tempString);

case whichParSelection of
 1: begin
     fmDisplayData.lblPar1.caption := tempString;
     fmDisplayData.mePar1.text := floatToStr(par[tempIndex].value);
     fmDisplayData.mePar1.Enabled := true;
    end;
 2: begin
     fmDisplayData.lblPar2.caption := tempString;
     fmDisplayData.mePar2.text := floatToStr(par[tempIndex].value);
     fmDisplayData.mePar2.Enabled := true;
    end;
 3: begin
     fmDisplayData.lblPar3.caption := tempString;
     fmDisplayData.mePar3.text := floatToStr(par[tempIndex].value);
     fmDisplayData.mePar3.Enabled := true;
    end;
 4: begin
     fmDisplayData.lblPar4.caption := tempString;
     fmDisplayData.mePar4.text := floatToStr(par[tempIndex].value);
     fmDisplayData.mePar4.Enabled := true;
    end;
 else
    begin
     messageDlg('There`s a problem with the selection of a parameter',
      mtInformation, [mbOK], 0);
    end;
 end;
 /// close this form
fmParamList.ModalResult := 1;
end;

procedure TFmParamList.btnCancelClick(Sender: TObject);
begin
 /// close this form
 fmParamList.ModalResult := 1;
end;

end.
